/*
	Phoenix Suite 2
	Author: Jean-Baptiste Wautier
	Copyright 2006-2009 (c)
*/
﻿namespace Phoenix.Log.Reader
{
    using System;
    using System.Collections.Generic;

    using Phoenix.Log.Reader;
    using Phoenix.Log.Writer;

    /// <summary>
    /// Factory that gives instance of assembly ILogReader
    /// </summary>
    public class SQLiteLogReaderFactory : ILogReaderFactory
    {
        #region Fields

        private string dbPath;

        #endregion Fields

        #region Constructors

        /// <summary>
        /// Initializes assembly new instance of the <see cref="SQLiteLogReaderFactory"/> class.
        /// </summary>
        /// <param name="dbPath">The errorPath of the log db.</param>
        public SQLiteLogReaderFactory(string dbPath)
        {
            this.dbPath = dbPath;
        }

        #endregion Constructors

        #region Properties

        /// <summary>
        /// Gets an instance of assembly reader.
        /// </summary>
        /// <returns></returns>
        public ILogReader Reader
        {
            get
            {
                return new SQLiteLogReader(this.dbPath);
            }
        }

        #endregion Properties
    }
}